/// A Fl_Scroll but the children are right aligned

#ifndef FL_RIGHTALIGN_SCROLL_H
#define FL_RIGHTALIGN_SCROLL_H

#include <FL/Fl_Scroll.H>

/****************************************************************************/

class Fl_RightAlign_Scroll : public Fl_Scroll
{
	public:
		Fl_RightAlign_Scroll(int X, int Y, int W, int H, const char *L = 0);
		virtual ~Fl_RightAlign_Scroll();

		void resize(int X, int Y, int W, int H);

		void add(Fl_Widget &w);
		void add(Fl_Widget *w);
		void end();

		void init_sizes();
		void init_align();

		void align_right(Fl_Widget *o);

};

/****************************************************************************/

#endif

/****************************************************************************/
